﻿Option Strict On

Imports System.Xml.Linq
Imports System.Collections.ObjectModel

Public Class ProductInfo
    Property 品名 As String
    Property 小計 As Integer
End Class

Partial Public Class Chart
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Dim myProductInfo As New ObservableCollection(Of ProductInfo)
    Dim xmlFile As String

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        myProductInfo.Clear()
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        xmlFile = myParam("menu")
        Dim xmldoc As XElement = XElement.Load(xmlFile)

        For Each result In From c In xmldoc.Descendants("情報") Select c

            With myProductInfo
                .Add(New ProductInfo With {.品名 = result.Element("品名").Value, _
                                          .小計 = CType(result.Element("小計").Value, Integer)})

            End With
        Next
        SerialChart1.DataContext = Me '現在実行中のインスタンスを指定する
        MyBase.OnNavigatedTo(e)
    End Sub
   

    Public ReadOnly Property Data() As ObservableCollection(Of ProductInfo)
        Get
            Return myProductInfo
        End Get
    End Property

    Private Sub PieChartButton_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles PieChartButton.Click
        NavigationService.Navigate(New Uri(String.Format("/PieChartPage.xaml?menu={0}", xmlFile), UriKind.Relative))
    End Sub

End Class
